Get eval stats aggregated by date
curl --request GET \
--url https://api.avidoai.com/v0/reporting/eval-stats/by-date \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'import requests
url = "https://api.avidoai.com/v0/reporting/eval-stats/by-date"
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};
fetch('https://api.avidoai.com/v0/reporting/eval-stats/by-date', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stats": [
{
"date": "2025-01-05T00:00:00.000Z",
"passed": 42,
"total": 50,
"avgScore": 0.84
}
],
"total": 50
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Reports
Get eval stats aggregated by date
Aggregates eval pass/total/avg-score counts bucketed by the requested time granularity.
GET
/
v0
/
reporting
/
eval-stats
/
by-date
Get eval stats aggregated by date
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Start of the time range (ISO8601, inclusive).
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2025-01-01T00:00:00Z"
End of the time range (ISO8601, inclusive).
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2025-01-31T23:59:59Z"
Optional list of topic IDs to restrict the aggregation to.
Maximum array length:
200Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
["123e4567-e89b-12d3-a456-426614174000"]
Optional task ID to restrict the aggregation to.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"456e7890-e89b-12d3-a456-426614174000"
Granularity used to bucket rows by date. Defaults to '1d' when omitted.
Available options:
1h, 1d, 1w, 1mo Example:
"1d"
Optional list of run types to include. Excludes EXPERIMENT runs which are never aggregated.
Maximum array length:
10Run type accepted when filtering eval stats.
Available options:
MANUAL, SCHEDULED, MONITORING Example:
["MANUAL", "SCHEDULED"]
Response
Successfully retrieved eval stats by date